/**
 * @function nameImage
 */
'use strict'

const assert = require('assert')
const stringcase = require('stringcase')

/** @lends nameImage */
function nameImage (pkg, keypath) {
  assert.ok(pkg, 'pkg is required.')

  let name = stringcase.spinalcase(pkg.name)
  let version = pkg.version
  if (keypath) {
    name = [ name, stringcase.spinalcase(keypath) ].join('/')
  }
  return [
    name,
    version
  ].join(':')
}

module.exports = nameImage
